/*****************************************************************************/
/*                                                                           */
/*  NetGen kappa version                                                     */
/*  Simulator for phylogenetic networks with sequences.                      */
/*  Copyright (C) 2007  Monique M. Morin                                     */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>
#include <math.h>
#include "globals.h"

unsigned long seed_netgen;
unsigned long user_seed_netgen;

long strand_summed_hd;

int desired_height_given_yn;
int fake_branch_lengths_yn;
int gamma_shape_value;
int hamming_edge_report;
int hhd_from_root_report;
int hyb_parent_selection;
int initial_root_sequences_yn;
int init_sequence_length;
int lambda_hd;
int max_num_hybrids;
int max_outg_diff_value;
int max_outg_tries;
int min_outg_diff_value;
int modified_newick_report;
int node_listing_report;
int nsgw_seeds_index;
int nsgw_seeds_node_index;
int num_extant_taxa_req;
int num_root_hom_chromos;
int num_root_strands_per_hc;
int outgroup;
int outgroup_done;
int pid;
int print_opt_reports;
int rates_redone_yn;
int report_branch_hd;
int seq_gen_options_yn;
int sequences_yn;
int splitstree_report;
int temp_sequence_length;
int track_nsgw_seeds_yn;
int var_rate_yn;
int update_seqs_for_all_events_yn;
int user_seed_netgen_yn;
int ultrametric_yn;


int *nsgw_seeds_node;

double desired_height;
double dip_rate;
double dip_rate_orig;
double expected_height;
double ex_rate;
double ex_rate_var;
double gamma_scale_value;
double height_scalar;
double hyb_ev_dist_thresh; 
double hyb_exp_fn_thresh_rate; 
double hyb_ham_thresh_rate; 
double hyb_rate;
double hyb_rate_orig;
double hyb_rate_var;
double hyb_rate_var_orig;
double poly_rate;
double poly_rate_orig;
double sp_rate;
double sp_rate_var;
double temp_perc_max_outg_diff;
double temp_perc_min_outg_diff;
double value;

unsigned long *nsgw_seeds;
char * root_sequences[MAX_NUM_HOM_CHROMOS * MAX_NUM_STRANDS_PER_HC];
char seq_gen_options[SEQ_GEN_OPTIONS_STR_LENGTH];
char infile_name[MAX_INFILE_NAME_LENGTH];

FILE *fp_in;
FILE *fp_out;


