/*****************************************************************************/
/*                                                                           */
/*  NetGen kappa version                                                     */
/*  Simulator for phylogenetic networks with sequences.                      */
/*  Copyright (C) 2007  Monique M. Morin                                     */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#ifndef _SEQUENCES_H
#define _SEQUENCES_H

/******************************************************************************/
/*         These routines handle the request and return of sequences          */
/*                                from NSGW                                   */
/******************************************************************************/

void AssignArtificialSequences(int num_parents, LINEAGE process_array[], 
		               int node_index, int prev_update_yn, 
			       double current_time);

void AssignSequences(int num_parents, LINEAGE process_array[], int node_index, 
		     int prev_update_yn, double current_time);

void MakeNSGWInputFile(int num_parents, LINEAGE process_array[], int node_index,
		       int prev_update_yn, double current_time,
		       char *temp_file);

void MakeCall(char exec_NSGW[], char * exec_nsgw_0, int seq_length,
	      int node_id, char * temp_file); 

void CleanUpSequences(NODE nd);

void AssignOutgroupSequences(LINEAGE linarray[], int node_index, 
		             int num_nodes, int num_extant_taxa, 
			     double current_time);

int MakeOutgroupTry(int try_i, int * best_try, int hchromo_i, int strand_i,
		    int num_nodes, int num_extant_taxa, int seq_i, 
		    LINEAGE linarray[], int node_index, double current_time, 
		    char *outg_try[], int * meets_goal, int * avg_h_dist_value);
#endif
