/*****************************************************************************/
/*                                                                           */
/*  NetGen kappa version                                                     */
/*  Simulator for phylogenetic networks with sequences.                      */
/*  Copyright (C) 2007  Monique M. Morin                                     */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#ifndef _UTILITIES_H
#define _UTILITIES_H

/******************************************************************************/
/*             These are generic utility functions that do not                */
/*         rely on a specific structure such as a network or a node           */
/******************************************************************************/
int MinInt(int a, int b);

int MaxInt(int a, int b);

double MaxDouble(double a, double b);

long MaxLong(long a, long b);

long MinLong(long a, long b);

int HammingDistanceStrings(char * str_1, char * str_2);

double MaxTime(double t1, double t2, double t3);

double MinTime(double t1, double t2, double t3);

double GammaDist(int shape, double scale);

double NextExpArrInterval(double rate);

long CustomizedExpHD(long max_hd);

double NormRandHalfDist(double mean, double var);


#endif
