/*****************************************************************************/
/*                                                                           */
/*  NSGW kappa version                                                       */
/*  Wrapper code for Seq-Gen in order to request/process sequences between   */
/*  NetGen and Seq-gen.                                                      */
/*  Copyright (C) 2007  Monique M. Morin                                     */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#ifndef _GLOBALS_H
#define _GLOBALS_H

// These defaults are officially declared here so that all functions will have
// access to these values as long as globals.h is included

#define MAX_NUM_HOM_CHROMOS 10
#define MAX_NUM_STRANDS_PER_HC 4
#define MAX_SEQ_LENGTH 1000
#define MAX_NODES 2000000
#define MAX_OUTGROUP_TRIES 50


// These are related to input or testing and are just easier if global

extern FILE *fp_in;
extern int file_id;

extern int rand_test_yn;
extern int rand_tree_test_yn;

extern FILE *fp_in_rand;
extern double * rand_num_test;
extern long unsigned * rand_num_tree_test;
extern int * rand_num_node_tree_test;

extern int rand_num_test_index;

#endif
