/*****************************************************************************/
/*                                                                           */
/*  NSGW kappa version                                                       */
/*  Wrapper code for Seq-Gen in order to request/process sequences between   */
/*  NetGen and Seq-gen.                                                      */
/*  Copyright (C) 2007  Monique M. Morin                                     */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#ifndef _INPUT_H
#define _INPUT_H


/****************************/
/* the main input functions */
/****************************/
void ProcessCommandLine(int argc, char *argv[], char * seq_gen_options, 
		        int * seq_length, unsigned long * rand_seed);

void RandomNumberSetUp();

void ReadNetwork(NETWORK nt);


/******************************************************/
/* break out functions of the command line processing */
/******************************************************/
void ProcessCommandLineA(int argc, char *argv[], char * seq_gen_options,
		         int * seq_length, unsigned long * rand_seed);
void ProcessCommandLineB(int argc, char *argv[], char * seq_gen_options,
		         int * seq_length, unsigned long * rand_seed);
void ProcessCommandLineC(int argc, char *argv[], char * seq_gen_options,
		         int * seq_length, unsigned long * rand_seed);
void ProcessCommandLineD(int argc, char *argv[], char * seq_gen_options,
		         int * seq_length, unsigned long * rand_seed);
void ProcessCommandLineE(int argc, char *argv[], char * seq_gen_options,
		         int * seq_length, unsigned long * rand_seed);
void ProcessCommandLineF(int argc, char *argv[], char * seq_gen_options,
		         int * seq_length, unsigned long * rand_seed);
void ProcessCommandLineG(int argc, char *argv[], char * seq_gen_options,
		         int * seq_length, unsigned long * rand_seed);

#endif
