/*****************************************************************************/
/*                                                                           */
/*  NSGW kappa version                                                       */
/*  Wrapper code for Seq-Gen in order to request/process sequences between   */
/*  NetGen and Seq-gen.                                                      */
/*  Copyright (C) 2007  Monique M. Morin                                     */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#ifndef _INTERFACE_H
#define _INTERFACE_H


/******************************************************************************/
/*               Most of these routines are used by both the 'After'          */
/*                      and 'During' modes as they do the                     */
/*                          work of running Seq-Gen                           */
/******************************************************************************/

void ReadRequestNode(FILE *fp_in, int max_num_seqs, int max_seq_length, 
		     int *num_of_parents, int *num_of_seqs, int seq_length,
		     char *parent_sequences_ptr[], double *brlen);

void GenerateSeqGenInputFile(char *outfile, int num_of_parents, 
		int num_of_seqs, int seq_length, char *parent_sequences_ptr[], 
		char *parent_seq_ptr, double brlen, int seq_index); 

void GetSeqGenSequence(char *seq_gen_input_file_name, char seq_gen_options[],
		       int num_of_parents, int seq_length, 
		       char *node_sequences_ptr[], int seq_index, 
		       char *node_seq_ptr, int re_index_yn, 
		       int outgroup_node_yn);

void ChooseSGCommand(char *SG_command, int num_of_parents);

void MakeCall(char *exec_SG, char *SG_command, char seq_gen_options[],
	      char *seq_gen_input_file_name, int num_of_parents,
	      int seq_length, int seq_index, int re_index_yn, 
	      int outgroup_node_yn);

void ProcessSGResponse(FILE *pipe_ptr, int num_of_parents, int seq_length, 
		       char *node_sequences_ptr[], int seq_index, 
		       char *node_seq_ptr);


// this is used only by 'During' mode as in 
// 'After' mode, the network is printed as a whole
void PrintRequestedSequences(int num_of_seqs, char *node_sequences_ptr[]);

#endif

