/*****************************************************************************/
/*                                                                           */
/*  NSGW kappa version                                                       */
/*  Wrapper code for Seq-Gen in order to request/process sequences between   */
/*  NetGen and Seq-gen.                                                      */
/*  Copyright (C) 2007  Monique M. Morin                                     */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#ifndef _OUTPUT_H
#define _OUTPUT_H

/******************************************************************************/
/*          These output routines are used only by 'After' mode               */
/*                           to print the network                             */
/******************************************************************************/

void PrintNetwork(FILE *fp, NETWORK nt, unsigned long rand_seed);
void PrintInternalNodes(FILE *fp, NETWORK nt);
void PrintLeaves(FILE *fp, NETWORK nt);
void PrintEdges(FILE *fp, NETWORK nt);
void PrintAllNodes(FILE *fp, NETWORK nt);
void PrintNewickNetwork(FILE *fp, NODE nd);

void OldPrintInternalNodes(FILE *fp, NODE nd); // no longer used
void OldPrintEdges(FILE *fp, NODE nd);

#endif
