/*****************************************************************************/
/*                                                                           */
/*  NSGW kappa version                                                       */
/*  Wrapper code for Seq-Gen in order to request/process sequences between   */
/*  NetGen and Seq-gen.                                                      */
/*  Copyright (C) 2007  Monique M. Morin                                     */
/*                                                                           */
/*  This program is free software; you can redistribute it and/or modify it  */
/*  under the terms of the GNU General Public License as published by the    */
/*  Free Software Foundation; either version 2 of the License, or (at your   */
/*  option) any later version.                                               */
/*                                                                           */
/*  This program is distributed in the hope that it will be useful, but      */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Public */
/*  License for more details.                                                */
/*                                                                           */
/*  You should have received a copy of the GNU General Public License along  */
/*  with this program; if not, write to the Free Software Foundation, Inc.,  */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                    */
/*                                                                           */
/*  Monique Morin (morin@cs.unm.edu)                                         */
/*                                                                           */
/*  Monique Morin                                                            */
/*  University of New Mexico                                                 */
/*  Department of Computer Science                                           */
/*  Mail stop: MSC01 1130                                                    */
/*  1 University of New Mexico                                               */
/*  Albuquerque, NM 87131-0001                                               */
/*****************************************************************************/

#ifndef _SEQUENCES_H
#define _SEQUENCES_H


/******************************************************************************/
/*           These are all the routines which get used only                   */
/*                    as part of the 'After' option                           */
/******************************************************************************/

void GetNetworkSequences(char *outfile, char seq_gen_options[],  NETWORK nt); 

void ProcessInNGOrder(char *outfile, char seq_gen_options[], NETWORK nt);

void ProcessNodeSequence(NODE nd, char * outfile, char seq_gen_options[], 
		         int seq_length, int num_of_seqs);

void ProcessTreeNodeSequence(NODE nd, char * outfile, char seq_gen_options[], 
		             int seq_length); 

void ProcessDipNodeSequence(NODE nd, char * outfile, char seq_gen_options[], 
		            int seq_length, int num_of_seqs);

void RandomFillStrands(NODE nd, NODE parent_ptr, int hchromo_i, 
		          int start_strand, int end_strand);

void ProcessPolyNodeSequence(NODE nd, char * outfile, char seq_gen_options[], 
		             int seq_length, int num_of_seqs);

void ProcessOutgroupSequence(NETWORK nt, NODE nd, char * outfile, 
		             char seq_gen_options[], int seq_length, 
			     int num_of_seqs);

void AssignOutgroupSequences(NETWORK nt, NODE nd, char * outfile, 
		             char seq_gen_options[], int seq_length);

int MakeOutgroupTry(NETWORK nt, NODE outg, char * outfile, 
		    char seq_gen_options[], int try_i, int *best_try,
		    int hchromo_i, int strand_i, int seq_i, char *outg_try[],
		    int *meets_goal, int *avg_h_dist_value);

#endif
